VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
UID Struct Reference

`#include <uid.h>`

## Public Types
using | TUID = Steinberg::TUID

## Public Member Functions
constexpr | UID () noexcept=default
| UID (uint32_t l1, uint32_t l2, uint32_t l3, uint32_t l4, bool comFormat=defaultComFormat) noexcept
| UID (const TUID &uid) noexcept
| UID (const UID &uid) noexcept
UID & | operator= (const UID &uid) noexcept
UID & | operator= (const TUID &uid) noexcept
constexpr const TUID & | data () const noexcept
constexpr size_t | size () const noexcept
std::string | toString (bool comFormat=defaultComFormat) const noexcept

## Static Public Member Functions
template<typename StringT>
static Optional< UID > | fromString (const StringT &str, bool comFormat=defaultComFormat) noexcept
static UID | fromTUID (const TUID _uid) noexcept

## Static Public Attributes
static constexpr bool | defaultComFormat = false

## Member Typedef Documentation

## ◆ TUID

using TUID = Steinberg::TUID

## Constructor & Destructor Documentation

## ◆ UID() [1/4]

UID | ( |  | ) |
| constexpr default noexcept

## ◆ UID() [2/4]

UID | ( | uint32_t | l1,
|  | uint32_t | l2,
|  | uint32_t | l3,
|  | uint32_t | l4,
|  | bool | comFormat = defaultComFormat )
| inline noexcept

## ◆ UID() [3/4]

UID | ( | const TUID & | uid | ) |
| inline noexcept

## ◆ UID() [4/4]

UID | ( | const UID & | uid | ) |
| inline noexcept

## Member Function Documentation

## ◆ operator=() [1/2]

UID & operator= | ( | const UID & | uid | ) |
| inline noexcept

## ◆ operator=() [2/2]

UID & operator= | ( | const TUID & | uid | ) |
| inline noexcept

## ◆ data()

auto data | ( |  | ) | const
| inline constexpr noexcept

## ◆ size()

size_t size | ( |  | ) | const
| inline constexpr noexcept

## ◆ toString()

std::string toString | ( | bool | comFormat = defaultComFormat | ) | const
| inline noexcept

## ◆ fromString()

template<typename StringT>

Optional< UID > fromString | ( | const StringT & | str,
|  | bool | comFormat = defaultComFormat )
| inline static noexcept

## ◆ fromTUID()

UID fromTUID | ( | const TUID | _uid | ) |
| inline static noexcept

## Member Data Documentation

## ◆ defaultComFormat

bool defaultComFormat = false
| static constexpr

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.